Release 2.1.0-beta783 gnupg-2.1.0-beta783
authorWerner Koch <wk@gnupg.org>
Thu, 14 Aug 2014 15:08:03 +0000 (17:08 +0200)
committerWerner Koch <wk@gnupg.org>
Thu, 14 Aug 2014 15:16:21 +0000 (17:16 +0200)
NEWS
g10/keygen.c

diff --git a/NEWS b/NEWS
index d78c6d7..cef9417 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,9 +1,34 @@
-Noteworthy changes in version 2.1.0-betaxxx (unreleased)
+Noteworthy changes in version 2.1.0-beta783 (2014-08-14)
 --------------------------------------------------------
 
+ * gpg: Add command --quick-gen-key.
+
+ * gpg: Make --quick-sign-key promote local key signatures.
+
+ * gpg: Add "show-usage" sub-option to --list-options.
+
+ * gpg: Screen keyserver responses to avoid importing unwanted keys
+   from rogue servers.
+
  * gpg: Removed the option --pgp2 and --rfc1991 and the ability to
    create PGP-2 compatible messages.
 
+ * gpg: Removed options --compress-keys and --compress-sigs.
+
+ * gpg: Cap attribute packets at 16MB.
+
+ * gpg: Improved output of --list-packets.
+
+ * gpg: Make with-colons output of --search-keys work again.
+
+ * gpgsm: Auto-create the ".gnupg" directory like gpg does.
+
+ * agent: Fold new passphrase warning prompts into one.
+
+ * scdaemon: Add support for the Smartcard-HSM card.
+
+ * scdaemon: Remove the use of the pcsc-wrapper.
+
 
 Noteworthy changes in version 2.1.0-beta751 (2014-07-03)
 --------------------------------------------------------
@@ -20,9 +45,6 @@ Noteworthy changes in version 2.1.0-beta751 (2014-07-03)
 
  * gpg: Avoid DoS due to garbled compressed data packets. [CVE-2014-4617]
 
- * gpg: Screen keyserver responses to avoid importing unwanted keys
-   from rogue servers.
-
  * gpg: The validity of user ids is now shown by default.  To revert
    this add "list-options no-show-uid-validity" to gpg.conf.
 
index ed11a2f..1bf5348 100644 (file)
@@ -2208,7 +2208,9 @@ ask_curve (int *algo, int both)
               log_info ("WARNING: Curve25519 is an experimental algorithm"
                         " and not yet standardized.\n");
               log_info ("         The key format will eventually change"
-                        " and render this key unusable!\n\n");
+                        " and render this key unusable!\n");
+              log_info ("         You also need a recent development version"
+                        " of Libgcrypt.\n");
 
               if (!cpr_get_answer_is_yes("experimental_curve.override",
                                          "Use this curve anyway? (y/N) ")  )